### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# xemaclite_selftest.c File Reference

## Detailed Description

Function(s) in this file are the required functions for the EMAC Lite driver sefftest for the hardware. See xemaclite.h for a detailed description of the driver.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- --------------------------------------------------------
     1.01a ecm  01/31/04 First release
     1.11a mta  03/21/07 Updated to new coding style

## Functions
int | XEmacLite_SelfTest (XEmacLite *InstancePtr)

## Function Documentation

int XEmacLite_SelfTest | ( | XEmacLite * | InstancePtr | ) |

  | Performs a SelfTest on the EmacLite device as follows: Writes to the mandatory TX buffer and reads back to verify. If configured, writes to the secondary TX buffer and reads back to verify. Writes to the mandatory RX buffer and reads back to verify. If configured, writes to the secondary RX buffer and reads back to verify. Parameters:
  | InstancePtr | is a pointer to the XEmacLite instance .
Returns: XST_SUCCESS if the device Passed the Self Test. XST_FAILURE if any of the data read backs fail. Note: None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.